Bug 36557 - bug in /etc/init.d/netplan
Summary: bug in /etc/init.d/netplan
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Powertools
Classification: Retired
Component: plan   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-18 20:53 UTC by Jim Wright
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-18 20:53:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jim Wright 2001-04-18 20:53:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.17-14jrw i686)


extra "$" causes trouble

Reproducible: Always
Steps to Reproduce:
1. service netplan start
2. reboot

	

distribution says:

stop () {
	echo -n "Stopping networked schedule server: "
	killproc netplan
	$RETVAL=$?
	echo
	[ $RETVAL = 0 ] && rm -f /var/lock/subsys/netplan
}

note spurious "$" in assignment.  should be:

stop () {
	echo -n "Stopping networked schedule server: "
	killproc netplan
	RETVAL=$?
	echo
	[ $RETVAL = 0 ] && rm -f /var/lock/subsys/netplan
}

Comment 1 Ngo Than 2001-04-19 08:07:44 UTC
It's fixed in plan-1.8.4-2.


Note You need to log in before you can comment on or make changes to this bug.